dpkg-scanpackages(1)

NOMBRE
dpkg-scanpackages - Creación de ficheros de índice «Packages»

SINOPSIS
dpkg-scanpackages [opciones] directorio-binario [fichero-anulación [prefijo-ruta]] > Packages

DESCRIPCIÓN
dpkg-scanpackages busca paquetes binarios de Debian en un árbol de directorios, creando un fichero «Packages» usado por dselect(8) y otros para mostrar al usuario los paquetes disponibles para su instalación. Estos ficheros «Packages» son idénticos a los presentes en los archivos de Debian en Internet o en los discos ópticos. dpkg-scanpackages se puede usar para crear un directorio local con paquetes a instalar en una o varias máquinas.

Nota: Si desea acceder al fichero «Packages» generado mediante apt, posiblemente necesite comprimir el fichero con bzip(1), generando un fichero «Packages.bz2», o gzip(1), que generaría un fichero «Packages.gz». apt ignora los ficheros «Packages» descomprimidos, a excepción de los ficheros locales (por ejemplo, file:// sources).

directorio-binario es el nombre del árbol de directorios que contiene los paquetes binarios a procesar (por ejemplo, contrib/binary-i386). Se recomienda que este directorio sea relativo al directorio principal del archivo de Debian, ya que todo fichero listado en el nuevo fichero «Packages» empezará por esta cadena de caracteres.

fichero-override es el nombre del fichero que contiene información acerca de cómo se instalan los paquetes en la distribución (puede ser un fichero comprimido); consulte deb-override(5).

prefijo-ruta es una cadena opcional que se antepondrá a los campos «Filename».

En caso de existir más de una versión de un paquete, sólo se mostrará la última por la salida. Si comparten la misma versión pero difieren en la arquitectura, sólo se usará el primero.

OPCIONES

-t, --type tipo
    Busca paquetes «*.tipo» en vez de «*.deb».

-u, --udeb
    Alias obsoleto para -tudeb.

-e, --extra-override fichero
    Analiza el fichero para encontrar alternativas adicionales (el fichero puede estar descomprimido). Consulte deb-extra-override(5) para más información acerca del formato.

-a, --arch arquitectura
    Usa un patrón que consiste de *_all.deb y *_arch.deb, en lugar de buscar todos los «.deb».

-m, --multiversion
    Incluye en la salida todos los paquetes encontrados.

-M, --medium cadena-identificación
    Añade un campo «X-Medium», que consiste del valor de la cadena-identificación. Este campo es necesario si desea generar ficheros Packages.cd para su uso a través del método «multicd» de dselect.

-h, --help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

DIAGNÓSTICOS
dpkg-scanpackages devuelve los errores auto-explicativos habituales. Además, genera avisos sobre paquetes presentes en un subdirectorio equivocado, duplicados, que tienen un campo «Filename» en su fichero de control, no aparecen en el fichero de anulación, o que contienen alguna sustitución del responsable del paquete que no tiene efecto.

VÉASE TAMBIÉN
dpkg(1), dselect(1), deb-override(5), deb-extra-override(5), dpkg-scansources(1).

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.